import java.awt.*;
import java.awt.image.*;
import javax.swing.ImageIcon;


class ReadableImage extends ImageIcon
{
    //tableau d'entiers pour stocker la couleur de chaque pixel de l'image
    private int buffer[];



    //retourne le tableau d'entier buffer[]
    public int[] getBuffer()
    {
        return buffer;
    }



    //ce constructeur recopie les pixels du fichier fileName dansle tableau buffer[] :
    public ReadableImage( String filename )
    {
        super(filename);
        buffer = new int[getIconWidth()*getIconHeight()];
        PixelGrabber pixGrabber = new PixelGrabber( super.getImage(), 
                                                    0, 0, 
                                                    getIconWidth(), getIconHeight(),
                                                    buffer,
                                                    0,
                                                    getIconWidth() );
        try 
        {
            pixGrabber.grabPixels();
        } 
        catch (InterruptedException e) 
        {
            System.err.println("interrupted waiting for pixels!");
            return;
        }
    }
}